cURL
curl -X POST "$EXSITED_BASE_URL/api/v4/settings/custom_objects/101b2c3d4e5f4a6b8c7d9e0f1a2b3c4d/customize" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"custom_object": {
"attributes": [
{
"name": "contract_term",
"order": "1"
}
]
}
}'from exsited import build_client
client = build_client()
response = client.settings.create_settings_custom_object_customize(
"101b2c3d4e5f4a6b8c7d9e0f1a2b3c4d",
{"custom_object": {"attributes": [{"name": "contract_term", "order": "1"}]}},
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.settings.createSettingsCustomObjectCustomize('101b2c3d4e5f4a6b8c7d9e0f1a2b3c4d', {
custom_object: {attributes: [{name: 'contract_term', order: '1'}]},
});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->settings->createSettingsCustomObjectCustomize(
'101b2c3d4e5f4a6b8c7d9e0f1a2b3c4d',
['custom_object' => ['attributes' => [['name' => 'contract_term', 'order' => '1']]]],
);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.settings.settings_dto.SettingsDto.SettingsCustomObjectCustomize;
import java.util.List;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<SettingsCustomObjectCustomize> response = client.settings().createSettingsCustomObjectCustomize(
"101b2c3d4e5f4a6b8c7d9e0f1a2b3c4d",
Map.of(
"custom_object", Map.of(
"attributes", List.of(Map.of("name", "contract_term", "order", "1")))));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Settings.CreateSettingsCustomObjectCustomizeAsync(
"101b2c3d4e5f4a6b8c7d9e0f1a2b3c4d",
new Dictionary<string, object?>
{
["custom_object"] = new Dictionary<string, object?>
{
["attributes"] = new List<object?>
{
new Dictionary<string, object?>
{
["name"] = "contract_term",
["order"] = "1",
},
},
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.settings.createSettingsCustomObjectCustomize(
'101b2c3d4e5f4a6b8c7d9e0f1a2b3c4d',
{
'custom_object': {
'attributes': [
{'name': 'contract_term', 'order': '1'},
],
},
},
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.Settings().CreateSettingsCustomObjectCustomize(context.Background(), "101b2c3d4e5f4a6b8c7d9e0f1a2b3c4d", map[string]any{
"custom_object": map[string]any{
"attributes": []any{
map[string]any{"name": "contract_term", "order": "1"},
},
},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"custom_object": {
"configuration": {
"attributes": [
{
"name": "<string>",
"order": 123
}
]
},
"created": "<string>",
"created_by": "<unknown>",
"created_on": "<string>",
"description": "<string>",
"display_name": "<string>",
"href": "<string>",
"id": "<string>",
"last_updated_by": "<unknown>",
"last_updated_on": "<string>",
"name": "<string>",
"object": "<string>",
"relation": "<string>",
"status": "<string>",
"updated": "<string>",
"use_in": "<string>",
"uuid": "<string>"
}
}Instance settings
Customise a custom object's attributes
Sets which custom attributes a custom object holds, and in what order.
POST
/
settings
/
custom_objects
/
{custom_object_id}
/
customize
cURL
curl -X POST "$EXSITED_BASE_URL/api/v4/settings/custom_objects/101b2c3d4e5f4a6b8c7d9e0f1a2b3c4d/customize" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"custom_object": {
"attributes": [
{
"name": "contract_term",
"order": "1"
}
]
}
}'from exsited import build_client
client = build_client()
response = client.settings.create_settings_custom_object_customize(
"101b2c3d4e5f4a6b8c7d9e0f1a2b3c4d",
{"custom_object": {"attributes": [{"name": "contract_term", "order": "1"}]}},
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.settings.createSettingsCustomObjectCustomize('101b2c3d4e5f4a6b8c7d9e0f1a2b3c4d', {
custom_object: {attributes: [{name: 'contract_term', order: '1'}]},
});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->settings->createSettingsCustomObjectCustomize(
'101b2c3d4e5f4a6b8c7d9e0f1a2b3c4d',
['custom_object' => ['attributes' => [['name' => 'contract_term', 'order' => '1']]]],
);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.settings.settings_dto.SettingsDto.SettingsCustomObjectCustomize;
import java.util.List;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<SettingsCustomObjectCustomize> response = client.settings().createSettingsCustomObjectCustomize(
"101b2c3d4e5f4a6b8c7d9e0f1a2b3c4d",
Map.of(
"custom_object", Map.of(
"attributes", List.of(Map.of("name", "contract_term", "order", "1")))));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Settings.CreateSettingsCustomObjectCustomizeAsync(
"101b2c3d4e5f4a6b8c7d9e0f1a2b3c4d",
new Dictionary<string, object?>
{
["custom_object"] = new Dictionary<string, object?>
{
["attributes"] = new List<object?>
{
new Dictionary<string, object?>
{
["name"] = "contract_term",
["order"] = "1",
},
},
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.settings.createSettingsCustomObjectCustomize(
'101b2c3d4e5f4a6b8c7d9e0f1a2b3c4d',
{
'custom_object': {
'attributes': [
{'name': 'contract_term', 'order': '1'},
],
},
},
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.Settings().CreateSettingsCustomObjectCustomize(context.Background(), "101b2c3d4e5f4a6b8c7d9e0f1a2b3c4d", map[string]any{
"custom_object": map[string]any{
"attributes": []any{
map[string]any{"name": "contract_term", "order": "1"},
},
},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"custom_object": {
"configuration": {
"attributes": [
{
"name": "<string>",
"order": 123
}
]
},
"created": "<string>",
"created_by": "<unknown>",
"created_on": "<string>",
"description": "<string>",
"display_name": "<string>",
"href": "<string>",
"id": "<string>",
"last_updated_by": "<unknown>",
"last_updated_on": "<string>",
"name": "<string>",
"object": "<string>",
"relation": "<string>",
"status": "<string>",
"updated": "<string>",
"use_in": "<string>",
"uuid": "<string>"
}
}Send the attributes under
custom_object.attributes, each with the custom attribute’s name and its order. The response lists the configured attributes under custom_object.configuration.attributes.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token. To send a raw JSON body instead of filling in fields, copy the cURL sample and edit its -d payload.Authorizations
An access token from POST /api/v4/oauth2/token. The SDKs get and renew it for you.
Path Parameters
The custom object's id, as a listing or a create returns it.
Body
application/json
Show child attributes
Show child attributes
Response
201 - application/json
The custom object with its attribute configuration, under custom_object.
Show child attributes
Show child attributes